Kerbal Space Program - Bug #2316

R&D Scenario Module removed from old saves when loaded into ARM

04/01/2014 03:36 PM - Ted

Status: Closed Start date: 04/01/2014
Severity: High % Done: 100%
Assignee:

Category: Gameplay

Target version: 0.23.5

Version: 0.23.5 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

If a player loads a 0.23 career save into ARM/0.23.5, the Scenario module for Research and Development is removed from the
persistence file and the player is unable to proceed into the R&D building in the Space Centre.

Reproduction Steps

1. Load 0.23 save into ARM.

2. Try clicking on the R&D Centre.

3. Observe message pop-up.

4. Note that in the sfs, the R&D scenario is gone.

History

#1 - 04/02/2014 04:39 AM - Kerolyov

Ted for some reason | can't replicate this, | loaded my .23 career into 0.23.5 and it worked fine on my Win 7 system | can see the tech tree no probs

and no error message.

#2 - 04/02/2014 04:46 AM - Ted
- Status changed from Being Worked On to Ready to Test
- Target version set to 0.23.5

- % Done changed from 30 to 80

Aye, this issue is ready to test as of build 464, version 0.23.5.

#3 - 04/02/2014 05:54 AM - Kerolyov

Looks resolved to me

#4 - 04/02/2014 05:49 PM - hermes47
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

#5 - 04/03/2014 03:48 AM - hermes47

- Status changed from Resolved to Closed
